Using Fastlane, but Appcode has no syntax highlighting support for Ruby

Completed

I use Fastlane with my iOS projects.  its config files are all ruby.  I'm not holding my breath for full Ruby support, but if I could just get some Ruby syntax highlighting support, that would make my life easier.

 

Any other Fastlane users out there?  Anyone else found a workaround, aside from having to have a 2nd editor (like Sublime or Atom) open?

2 comments
Comment actions Permalink
Official comment

I've added the workaround here https://youtrack.jetbrains.com/issue/OC-13269#comment=27-1586160, further Ruby support is not planned for the moment. In case any of Fastlane users will need to have more features related - please, make the corresponding feature request in the tracker and engage others to show the interest in it. 

Comment actions Permalink

Hi Brian.

We have a feature request in the tracker already: https://youtrack.jetbrains.com/issue/OC-13269. Feel free to comment or upvote.

0

Please sign in to leave a comment.